# Uses of Class
org.eclipse.zest.layouts.dataStructures.DisplayIndependentDimension

Packages that use DisplayIndependentDimension
Package
Description
org.eclipse.zest.core.widgets
org.eclipse.zest.layouts.algorithms
org.eclipse.zest.layouts.dataStructures
org.eclipse.zest.layouts.interfaces

## Uses of DisplayIndependentDimension in org.eclipse.zest.core.widgets

Methods in org.eclipse.zest.core.widgets that return DisplayIndependentDimension
Modifier and Type
Method
Description
`DisplayIndependentDimension`
DefaultSubgraph.`getSize()`
`DisplayIndependentDimension`
FigureSubgraph.`getSize()`

## Uses of DisplayIndependentDimension in org.eclipse.zest.layouts.algorithms

Methods in org.eclipse.zest.layouts.algorithms that return DisplayIndependentDimension
Modifier and Type
Method
Description
`static DisplayIndependentDimension`
AlgorithmHelper.`getMinimumDistance(EntityLayout[] entities)`
minDistance is the closest that any two points are together.

## Uses of DisplayIndependentDimension in org.eclipse.zest.layouts.dataStructures

Constructors in org.eclipse.zest.layouts.dataStructures with parameters of type DisplayIndependentDimension
Modifier
Constructor
Description
``
`DisplayIndependentDimension(DisplayIndependentDimension dimension)`

## Uses of DisplayIndependentDimension in org.eclipse.zest.layouts.interfaces

Methods in org.eclipse.zest.layouts.interfaces that return DisplayIndependentDimension
Modifier and Type
Method
Description
`DisplayIndependentDimension`
EntityLayout.`getSize()`